2012年1月25日水曜日

pip

このエントリーをブックマークに追加 このエントリーを含むはてなブックマーク
pipの機能にsrcからインストールすると言う物がある。 が、setup.pyを実行するのではなく、中身をparseして依存関係を取り出すようだ。 Downloading/unpacking git+ssh://git@github.com/bgnori/tonic.git Cloning ssh://git@github.com/bgnori/tonic.git to /tmp/pip-jCBcP8-build Running setup.py egg_info for package from git+ssh://git@github.com/bgnori/tonic.git error in python-tonic-library setup command: 'install_requires' must be a string or list of strings containing valid project/version requirement specifiers Complete output from command python setup.py egg_info: error in python-tonic-library setup command: 'install_requires' must be a string or list of strings containing valid project/version requirement specifiers setup.pyのinstall_requiresの部分はこんな感じ install_requires=open('freeze.txt').readlines(), となると、makefileを書いてsetup.pyを生成するというのが一つの解になりそうだ。 freeze.txtを埋め込む操作を行うのである。 gitから取ってくるので、makeで生成されるにもかかわらず、setup.pyはcommitする必要がある。げろげろ。 エレガントな解決策はないものでしょうか。